In particular, it wants to run before the ntpclient script. Which may
block for a long time attempting to do DNS lookups for NTP servers. In
my case, that would have *worked* if the new device had been added to
teql first, rather than timing out.

This was effectively causing a huge delay between an interface coming
up, and routing actually starting to work.

Signed-off-by: David Woodhouse <david.woodho...@intel.com>
---
 package/network/utils/iproute2/Makefile      |    2 +-
 package/network/utils/iproute2/files/15-teql |   23 +++++++++++++++++++++++
 package/network/utils/iproute2/files/30-teql |   23 -----------------------
 3 files changed, 24 insertions(+), 24 deletions(-)
 create mode 100644 package/network/utils/iproute2/files/15-teql
 delete mode 100644 package/network/utils/iproute2/files/30-teql

diff --git a/package/network/utils/iproute2/Makefile 
b/package/network/utils/iproute2/Makefile
index 8e89617..256064e 100644
--- a/package/network/utils/iproute2/Makefile
+++ b/package/network/utils/iproute2/Makefile
@@ -96,7 +96,7 @@ define Package/tc/install
        $(INSTALL_DIR) $(1)/usr/sbin
        $(INSTALL_BIN) $(PKG_BUILD_DIR)/tc/tc $(1)/usr/sbin/
        $(INSTALL_DIR) $(1)/etc/hotplug.d/iface
-       $(INSTALL_BIN) ./files/30-teql $(1)/etc/hotplug.d/iface/
+       $(INSTALL_BIN) ./files/15-teql $(1)/etc/hotplug.d/iface/
 endef
 
 define Package/genl/install
diff --git a/package/network/utils/iproute2/files/15-teql 
b/package/network/utils/iproute2/files/15-teql
new file mode 100644
index 0000000..a0c0e50
--- /dev/null
+++ b/package/network/utils/iproute2/files/15-teql
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+. /lib/functions.sh
+
+if [ "$ACTION" != "ifup" ]; then
+       exit
+fi
+
+config_load network
+
+config_get teql $INTERFACE teql
+
+if [ "$teql" != "" ]; then
+    logger Adding device $DEVICE to TEQL master $teql
+    insmod sch_teql
+    tc qdisc add dev $DEVICE root $teql
+
+    # The kernel doesn't let us bring it up until it has at least one
+    # slave. So bring it up now, if it isn't already.
+    if ! cat /sys/class/net/$teql/carrier &>/dev/null; then
+        ifup $teql &
+    fi
+fi
diff --git a/package/network/utils/iproute2/files/30-teql 
b/package/network/utils/iproute2/files/30-teql
deleted file mode 100644
index a0c0e50..0000000
--- a/package/network/utils/iproute2/files/30-teql
+++ /dev/null
@@ -1,23 +0,0 @@
-#!/bin/sh
-
-. /lib/functions.sh
-
-if [ "$ACTION" != "ifup" ]; then
-       exit
-fi
-
-config_load network
-
-config_get teql $INTERFACE teql
-
-if [ "$teql" != "" ]; then
-    logger Adding device $DEVICE to TEQL master $teql
-    insmod sch_teql
-    tc qdisc add dev $DEVICE root $teql
-
-    # The kernel doesn't let us bring it up until it has at least one
-    # slave. So bring it up now, if it isn't already.
-    if ! cat /sys/class/net/$teql/carrier &>/dev/null; then
-        ifup $teql &
-    fi
-fi
-- 
1.7.7.6


-- 
dwmw2

Attachment: smime.p7s
Description: S/MIME cryptographic signature

_______________________________________________
openwrt-devel mailing list
openwrt-devel@lists.openwrt.org
https://lists.openwrt.org/mailman/listinfo/openwrt-devel

Reply via email to